"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var const_1 = require("./const");
var utils_1 = require("./utils");
function unabbreviateNumber(num, symbols) {
    if (symbols === void 0) { symbols = const_1.defaultSymbols; }
    var numberPattern = "[+-]?([0-9]*[.])?[0-9]+";
    var symbolPattern = "" + symbols.join("|");
    var pattern = "^(" + numberPattern + ")(" + symbolPattern + ")$";
    var regex = new RegExp(pattern);
    var match = num.match(pattern) || [];
    if (regex.test(num) && match.length > 3) {
        var symbol = match[3];
        var symbolValue = utils_1.symbolPow(symbols.indexOf(symbol));
        var pureNum = Number(match[1]);
        return pureNum * symbolValue;
    }
    else {
        throw Error("This is not a valid input");
    }
}
exports.unabbreviateNumber = unabbreviateNumber;
